This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 143367 - segfaults from udev
segfaults from udev
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-19 19:29 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 09:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-12-19 19:29:56 EST
Description of problem:

I am collecting from time to time, although I cannot tell in advance
when this will happen, segfault messages like the following.

This one happened during a startup:

....
lp0: console ready
udev[2098]: segfault at 0000000000000138 rip 00000000004032a6 rsp
0000007fbfffcc60 error 4
kjournald starting.  Commit interval 5 seconds
....

and this showed up after 'telinit 1'

....
unloading Kernel Card Services
udev[31336]: segfault at 0000000000000138 rip 00000000004032a6 rsp
0000007fbfffcc60 error 4
udev[31341]: segfault at 0000000000000138 rip 00000000004032a6 rsp
0000007fbfffcc60 error 4
......

Version-Release number of selected component (if applicable):
udev-048-2

How reproducible:
I have seen that a number of times but I cannot predict what
will trigger that if at all.
Comment 1 Harald Hoyer 2004-12-20 07:20:54 EST
doh... thx for the report... 
Comment 2 Harald Hoyer 2004-12-21 09:20:00 EST
I think, this is:
http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=285281
and the fix is in upstream udev.

Note You need to log in before you can comment on or make changes to this bug.